It would be nice to get Samba 4.2 in Wily (4.1 in Maintenance mode for 6 more months. EOL by 10/2016)

Bug #1475118 reported by satmandu on 2015-07-16
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
samba (Ubuntu)
Wishlist
Unassigned

Bug Description

As per the Samba web site:

14 July 2015
Samba 4.2.3 Available for Download

This is the latest stable release of the Samba 4.2 series.

23 June 2015
Samba 4.1.19 Available for Download

This is the last stable release of the Samba 4.1 series.

tags: added: upgrade-software-version
Revision history for this message
satmandu (satadru-umich) wrote :

In clarification:

Samba 4.1 is in maintenance mode. After 9 months it goes to security fixes only mode. After which it goes EOL.

That is expected around September/October 2016 as per https://wiki.samba.org/index.php/Samba_Release_Planning

summary: - Wily needs Samba 4.2 (4.1 is now EOL.)
+ It would be nice to get Samba 4.2 in Wily (4.1 in Maintenance mode for 6
+ more months. EOL by 10/2016)
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in samba (Ubuntu):
status: New → Confirmed
Revision history for this message
msaxl (saxl) wrote :

debian now has samba 4.2.1 in experimental. This should be a good starting point

I've used samba 4.1 and now I am on 4.2 on arch (used as ad-server). 4.2 to me seems to be more stable (winbindd simply works better than the now obsolete "source4" winbind; even on winbindd they made some improvements), so I would be happy to see 4.2 in 5.10

Revision history for this message
Robie Basak (racb) wrote :

Wily is in feature freeze now so this change seems unlikely unless someone can acquire an exception from the release team and drive this forward.

Changed in samba (Ubuntu):
importance: Undecided → Wishlist
Revision history for this message
satmandu (satadru-umich) wrote :

I have a workaround in place myself... so I'd be ok with the debian 4.2.x trickling down to Ubuntu post Wily.

Revision history for this message
Jeremy Bicha (jbicha) wrote :

Ubuntu 16.04 LTS has samba 4.3

Changed in samba (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers